# botamusique

Bot to play youtube / soundcloud / radio / local music on Mumble 

<!-- metadata -->

- **Category**: Apps
- **Status**:
- **Image**:
- **Healthcheck**:
- **Backups**:
- **Email**:
- **Tests**:
- **SSO**:

<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new botamusique --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

NB you currently need to manually generate a certificate:

```
openssl req -x509 -nodes -days 3650 -newkey rsa:2048 -keyout botamusique.pem -out botamusique.pem -subj "/CN=botamusique"
```

and load it into Docker swarm:

```
cat botamusique.pem | DOCKER_CONTEXT=swarm.example.com docker secret create bam_certificate_v1 -
```

[`abra`]: https://git.coopcloud.tech/coop-cloud/abra
[`coop-cloud/traefik`]: https://git.coopcloud.tech/coop-cloud/traefik
cloud/traefik
